# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'transistor/version'

Gem::Specification.new do |spec|
  spec.name          = 'transistor-client'
  spec.version       = Transistor::Version
  spec.authors       = ['Nicholas Young']
  spec.email         = ['nicholas@originalmachine.com']
  spec.description   = %q{The official Ruby client for Transistor.FM, a digital media analytics platform from Original Machine.}
  spec.summary       = %q{A client for the Transistor.FM media analytics platform.}
  spec.homepage      = 'http://transistor.fm'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.test_files    = spec.files.grep(%r{^(spec)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake', '~> 10.1.1'
  spec.add_development_dependency 'rspec', '~> 2.14.1'
  
  spec.add_dependency 'faraday', '~> 0.8.8'
  spec.add_dependency 'faraday_middleware', '~> 0.9.0'
  spec.add_dependency 'json', '~> 1.8.1'
  spec.add_dependency 'hawk-auth', '~> 0.2.4'
end
